
  

# Get Selected Finder Items
###### by Ian Kirkland  
  
  
Description  
-----------------------
  
This plug-in action allows you to bring the selected Finder items into Keyboard Maestro as a collection of items (in POSIX path format). In other words, it enables you to get and treat multiple files as a single unit (i.e. an array or list of items stored as a newline-delimited list, a format compatible with Keyboard Maestro). The action's options include the following:  
  
- Quoted or unquoted form of item paths  
- Whether or not to treat bundles as folders  
  
  
Screenshots  
-----------------------
  
**Action Preview**  
![](http://ianthekirkland.com/imgs/km-selectedfinderitems-action-img-hero.png "Get Selected Finder Items")  
  
  
**Action Options**  
![](http://ianthekirkland.com/imgs/km-selectedfinderitems-action-img-options.png "Action Options")  
  
  
**In-use (Finder)**  
![](http://ianthekirkland.com/imgs/km-selectedfinderitems-inuse-img-finder.png "In-use - Finder")  
  
  
**Action Results**  
![](http://ianthekirkland.com/imgs/km-selectedfinderitems-inuse-img-result.png "Action Results")  

  
  
Additional Notes  
-----------------------
  
If you come up with any creative uses for the action – or come across any deal-killing bugs – please share them here in the comments  

I have a highly-involved 9-to-5 job that I'm very passionate about. Visit here if you want to know more: http://bradfieldproperties.com Better Homes and Gardens Real Estate Bradfield Properties. That said, I'm very busy, so I can't guarantee 'lickety-split' fixes. However, please feel free to report bugs and other frustrations at: [ianthekirkland@me.com](mailto:ianthekirkland@me.com "Email Ian"). In true n00b humility, please let me know if this plugin can be improved. (This is how we learn, and I am all ears.)  
  
  

Download  
-----------------------
  
Download Plug-in Action: [km-get_selected_finder_items.zip](http://ianthekirkland.com/downloads/km-get_selected_finder_items.zip "Get Selected Finder Items - Download plug-in action") (412.1 KB)  

  

Installation  
-----------------------
  
To install, drop the .zip file onto Keyboard Maestro and it will install it as a Third Party Plug In action. If, for some reason the install fails, simply unzip and place the resulting folder in the Keyboard Maestro Actions directory in Application Support. You can locate this directory by copying the below path, and – in Finder's menubar – selecting "Go > Go to Folder...". Then paste the path into the text field that pops up:  

>   ~/Library/Application Support/Keyboard Maestro/Keyboard Maestro Actions/  
  


Legal  
-----------------------
  
THE SOFTWARE IS PROVIDED "AS-IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.  
  


